Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class DebugViewer

    java.lang.Object
      madkit.kernel.AbstractAgent
          madkit.kernel.Watcher
              warbot.kernel.DebugViewer

All Implemented Interfaces:
  java.io.Serializable, ReferenceableAgent

    public final class DebugViewer

extends Watcher

See Also:
  Serialized Form

Field Summary
`protected Entity[]` | `entities`
`protected java.awt.Component` | `onScreen`
`protected boolean` | `show`
`protected java.lang.String` | `simulationGroup`
`protected boolean` | `swing`
`protected warbot.kernel.Environment2D` | `world`

Method Summary
`void` | `activate()` This method is initially called when the micro-kernel registers the agent.
`protected void` | `checkMail()`
`int` | `getNumberAgents()`
`int` | `getNumberEntities()`
`void` | `initGUI()` This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface.
`void` | `observe()`

Methods inherited from class madkit.kernel.Watcher
`addProbe, addProbe, end, getProbes, removeAllProbes, removeProbe, update`

Methods inherited from class madkit.kernel.AbstractAgent
`broadcastMessage, broadcastMessage, connectedWithCommunity, createGroup, createGroup, debug, disposeMyGUI, foundGroup, getAddress, getAgentInformation, getAgentsWithRole, getAgentsWithRole, getAgentWithRole, getAgentWithRole, getAvailableCommunities, getBean, getController, getCurrentKernelAddress, getDebug, getExistingGroups, getExistingGroups, getExistingRoles, getExistingRoles, getGroups, getGUIObject, getMessageBoxSize, getMyGroups, getMyGroups, getMyRoles, getMyRoles, getName, getRoles, hasGUI, isBelongingToGroup, isBelongingToGroup, isCommunity, isGroup, isGroup, isMemberOf, isMemberOf, isMessageBoxEmpty, isRole, isRole, joinGroup, killAgent, launchAgent, launchAgent, leaveGroup, leaveGroup, leaveRole, leaveRole, nextMessage, print, println, receiveMessage, redisplayMyGUI, requestRole, requestRole, requestRole, restoreAgent, sendMessage, sendMessage, sendMessage, setBean, setController, setDebug, setGUIObject, setName, setOutput, setOutputWriter, windowClosing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### world

    protected warbot.kernel.Environment2D world

### entities

    protected Entity[] entities

### onScreen

    protected java.awt.Component onScreen

### show

    protected boolean show

### swing

    protected boolean swing

### simulationGroup

    protected java.lang.String simulationGroup

Method Detail

### initGUI

    public void initGUI()

  Description copied from class: `AbstractAgent`
  This method is called by the specific external graphic system (as the G-Box) to ask the agent to prepare a graphical interface. The agent developper should use a setGUIObject(...) within this method, as well as other necessary initializations. If the developper does not overload this method, a vanilla text output might be used as the default interface.

  Overrides:
    `initGUI` in class `AbstractAgent`

### observe

    public void observe()

### getNumberEntities

    public int getNumberEntities()

### getNumberAgents

    public int getNumberAgents()

### activate

    public void activate()

  Description copied from class: `AbstractAgent`
  This method is initially called when the micro-kernel registers the agent. Usually a good place to set up some initial groups and roles.

  Overrides:
    `activate` in class `AbstractAgent`

### checkMail

    protected void checkMail()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.